PTHREAD_SETFP_NP(3)

NAME
pthread_setfp_np - allow use of floating-point operations in a thread

SYNOPSIS
#include <rtl_sched.h> int pthread_setfp_np (pthread_t thread, int flag);

DESCRIPTION
This function is a non-portable Real-Time Linux extension. pthread_setfp_np allows or disallows the use of floating-point arithmetic operations in a real-time thread. flag is zero to disallow floating-point operations, or non-zero to allow them.

RETURN VALUE
pthread_setfp_np returns 0 on success and a non-zero error code on error.

ERRORS
EINVAL pthread_setfp_np was called on a thread running on a different CPU.

SEE ALSO
pthread_create(3)